NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.ShipDesign.StandardPartItemBuilder Class Reference

Represents the ship standard part item builder. More...

Inheritance diagram for NXOpen.Features.ShipDesign.StandardPartItemBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Direction {
  Fore, Aft, Up, Down,
  Port, Starboard, In, Out,
  Center
}
 Represents the ship standard part installation direction and thickness direction. More...
 

Public Member Functions

unsafe void AddAcrossObject (NXOpen.DisplayableObject acrossObject)
 Adds the specific object to the across object list. More...
 
unsafe void AddDeselectedAcrossObject (NXOpen.DisplayableObject acrossObject)
 Adds the specific object to the deselected across object list. More...
 
unsafe bool CheckScallopSize ()
 Checks the scallop size by enabling the predefined requirement check inside the standard part, and resets to original state afterwards. More...
 
unsafe void ConvertReferenceGeometry (int index, NXOpen.DisplayableObject selObj)
 Converts the selected reference geometry. More...
 
unsafe string LookupRegistration ()
 Checks the registration context string when an object is selected. More...
 
unsafe void RemoveAcrossObject (NXOpen.DisplayableObject acrossObject)
 Removes the specific object from the across object list. More...
 
unsafe void RemoveDeselectedAcrossObject (NXOpen.DisplayableObject acrossObject)
 Removes the specific object from the deselected across object list. More...
 
unsafe void ResetItem ()
 Resets the standard part item builder to its intial state. More...
 
unsafe void SetOptionalGeometry (NXOpen.DisplayableObject selectedGeometry)
 Sets one geometry for input selection which has multiple options. More...
 
unsafe void SetTransitionGeometry (int index, NXOpen.DisplayableObject transitionGeometry)
 Sets the transition geometry given the index. More...
 
unsafe void UpdateReferences (bool bToUpdateGeometry)
 Updates and relinks the external references. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.SelectDisplayableObject 
FifthObject [get]
 Returns the fifth selected object. More...
 
unsafe NXOpen.ScCollector FirstAdoptionCurve [get]
 Returns the first adoption curve. More...
 
unsafe
NXOpen.Features.ShipDesign.StandardPartItemBuilder.Direction 
FirstChainInstallDirection [get, set]
 Returns or sets the flag to indicate whether to flip the direction of the first selected chain object or not. More...
 
unsafe NXOpen.ScCollector FirstChainObject [get]
 Returns the first chain selected object. More...
 
unsafe
NXOpen.SelectDisplayableObject 
FirstObject [get]
 Returns the first selected object. More...
 
unsafe
NXOpen.SelectDisplayableObject 
FirstPlane [get]
 Returns the first selected plane. More...
 
unsafe
NXOpen.SelectDisplayableObject 
FourthObject [get]
 Returns the fourth selected object. More...
 
unsafe
NXOpen.Features.ShipDesign.StandardPartItemBuilder.Direction 
InstallFifthDirection [get, set]
 Returns or sets the flag to indicate whether to flip the direction of the fifth selected object or not. More...
 
unsafe
NXOpen.Features.ShipDesign.StandardPartItemBuilder.Direction 
InstallFirstDirection [get, set]
 Returns or sets the flag to indicate whether to flip the direction of the first selected object or not. More...
 
unsafe
NXOpen.Features.ShipDesign.StandardPartItemBuilder.Direction 
InstallFourthDirection [get, set]
 Returns or sets the flag to indicate whether to flip the direction of the fourth selected object or not. More...
 
unsafe
NXOpen.Features.ShipDesign.StandardPartItemBuilder.Direction 
InstallSecondDirection [get, set]
 Returns or sets the flag to indicate whether to flip the direction of the second selected object or not. More...
 
unsafe
NXOpen.Features.ShipDesign.StandardPartItemBuilder.Direction 
InstallThirdDirection [get, set]
 Returns or sets the flag to indicate whether to flip the direction of the third selected object or not. More...
 
unsafe NXOpen.ScCollector SecondAdoptionCurve [get]
 Returns the second adoption curve. More...
 
unsafe
NXOpen.Features.ShipDesign.StandardPartItemBuilder.Direction 
SecondChainInstallDirection [get, set]
 Returns or sets the flag to indicate whether to flip the direction of the second selected chain object or not. More...
 
unsafe NXOpen.ScCollector SecondChainObject [get]
 Returns the second chain selected object. More...
 
unsafe
NXOpen.SelectDisplayableObject 
SecondObject [get]
 Returns the second selected object. More...
 
unsafe
NXOpen.SelectDisplayableObject 
SecondPlane [get]
 Returns the second selected plane. More...
 
unsafe
NXOpen.SelectDisplayableObject 
ThirdObject [get]
 Returns the third selected object. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents the ship standard part item builder.

This class cannot be directly instantiated and has to be created by CreateStandardPartItem.

Created in NX8.0.0

Member Enumeration Documentation

Represents the ship standard part installation direction and thickness direction.

Enumerator
Fore 

fore

Aft 

aft

Up 

up

Down 

down

Port 

port

Starboard 

starboard

In 

in

Out 

out

Center 

center

Member Function Documentation

unsafe void NXOpen.Features.ShipDesign.StandardPartItemBuilder.AddAcrossObject ( NXOpen.DisplayableObject  acrossObject)
inline

Adds the specific object to the across object list.

Created in NX9.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
acrossObjectbody, face or curve entity.
unsafe void NXOpen.Features.ShipDesign.StandardPartItemBuilder.AddDeselectedAcrossObject ( NXOpen.DisplayableObject  acrossObject)
inline

Adds the specific object to the deselected across object list.

Created in NX9.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
acrossObjectbody, face or curve.
unsafe bool NXOpen.Features.ShipDesign.StandardPartItemBuilder.CheckScallopSize ( )
inline

Checks the scallop size by enabling the predefined requirement check inside the standard part, and resets to original state afterwards.

If there is no vialation of the requirement, nothing will happen.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Returns
unsafe void NXOpen.Features.ShipDesign.StandardPartItemBuilder.ConvertReferenceGeometry ( int  index,
NXOpen.DisplayableObject  selObj 
)
inline

Converts the selected reference geometry.

For instance stiffener curve, which represents stiffener body, into an equivalent reference geometry such as molding face, opposing molding face, top face.

Created in NX9.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
index
selObj
unsafe string NXOpen.Features.ShipDesign.StandardPartItemBuilder.LookupRegistration ( )
inline

Checks the registration context string when an object is selected.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Returns
unsafe void NXOpen.Features.ShipDesign.StandardPartItemBuilder.RemoveAcrossObject ( NXOpen.DisplayableObject  acrossObject)
inline

Removes the specific object from the across object list.

Created in NX9.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
acrossObjectbody, face or curve.
unsafe void NXOpen.Features.ShipDesign.StandardPartItemBuilder.RemoveDeselectedAcrossObject ( NXOpen.DisplayableObject  acrossObject)
inline

Removes the specific object from the deselected across object list.

Created in NX9.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
acrossObjectbody, face or curve.
unsafe void NXOpen.Features.ShipDesign.StandardPartItemBuilder.ResetItem ( )
inline

Resets the standard part item builder to its intial state.

Created in NX8.5.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe void NXOpen.Features.ShipDesign.StandardPartItemBuilder.SetOptionalGeometry ( NXOpen.DisplayableObject  selectedGeometry)
inline

Sets one geometry for input selection which has multiple options.

Multiple options could come from selection configuration setting, or several geometries with the same attributes.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
selectedGeometry
unsafe void NXOpen.Features.ShipDesign.StandardPartItemBuilder.SetTransitionGeometry ( int  index,
NXOpen.DisplayableObject  transitionGeometry 
)
inline

Sets the transition geometry given the index.

Created in NX8.5.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
index
transitionGeometry
unsafe void NXOpen.Features.ShipDesign.StandardPartItemBuilder.UpdateReferences ( bool  bToUpdateGeometry)
inline

Updates and relinks the external references.

bToUpdateGeometry is used to decide if the input geometries need to be recalculated.

Created in NX8.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
bToUpdateGeometry

Property Documentation

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.ShipDesign.StandardPartItemBuilder.FifthObject
get

Returns the fifth selected object.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.ShipDesign.StandardPartItemBuilder.FirstAdoptionCurve
get

Returns the first adoption curve.

Created in NX9.0.2

License requirements: None.

unsafe NXOpen.Features.ShipDesign.StandardPartItemBuilder.Direction NXOpen.Features.ShipDesign.StandardPartItemBuilder.FirstChainInstallDirection
getset

Returns or sets the flag to indicate whether to flip the direction of the first selected chain object or not.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.ScCollector NXOpen.Features.ShipDesign.StandardPartItemBuilder.FirstChainObject
get

Returns the first chain selected object.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.ShipDesign.StandardPartItemBuilder.FirstObject
get

Returns the first selected object.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.ShipDesign.StandardPartItemBuilder.FirstPlane
get

Returns the first selected plane.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.ShipDesign.StandardPartItemBuilder.FourthObject
get

Returns the fourth selected object.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.StandardPartItemBuilder.Direction NXOpen.Features.ShipDesign.StandardPartItemBuilder.InstallFifthDirection
getset

Returns or sets the flag to indicate whether to flip the direction of the fifth selected object or not.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.Features.ShipDesign.StandardPartItemBuilder.Direction NXOpen.Features.ShipDesign.StandardPartItemBuilder.InstallFirstDirection
getset

Returns or sets the flag to indicate whether to flip the direction of the first selected object or not.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.Features.ShipDesign.StandardPartItemBuilder.Direction NXOpen.Features.ShipDesign.StandardPartItemBuilder.InstallFourthDirection
getset

Returns or sets the flag to indicate whether to flip the direction of the fourth selected object or not.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.Features.ShipDesign.StandardPartItemBuilder.Direction NXOpen.Features.ShipDesign.StandardPartItemBuilder.InstallSecondDirection
getset

Returns or sets the flag to indicate whether to flip the direction of the second selected object or not.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.Features.ShipDesign.StandardPartItemBuilder.Direction NXOpen.Features.ShipDesign.StandardPartItemBuilder.InstallThirdDirection
getset

Returns or sets the flag to indicate whether to flip the direction of the third selected object or not.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.ScCollector NXOpen.Features.ShipDesign.StandardPartItemBuilder.SecondAdoptionCurve
get

Returns the second adoption curve.

Created in NX9.0.2

License requirements: None.

unsafe NXOpen.Features.ShipDesign.StandardPartItemBuilder.Direction NXOpen.Features.ShipDesign.StandardPartItemBuilder.SecondChainInstallDirection
getset

Returns or sets the flag to indicate whether to flip the direction of the second selected chain object or not.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.ScCollector NXOpen.Features.ShipDesign.StandardPartItemBuilder.SecondChainObject
get

Returns the second chain selected object.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.ShipDesign.StandardPartItemBuilder.SecondObject
get

Returns the second selected object.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.ShipDesign.StandardPartItemBuilder.SecondPlane
get

Returns the second selected plane.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.ShipDesign.StandardPartItemBuilder.ThirdObject
get

Returns the third selected object.

Created in NX8.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.